#ifndef CLASSX_H_INCLUDED
#define CLASSX_H_INCLUDED 

class pteElement
{
	public:
		        pteElement::pteElement();
				~pteElement();
		void    pteElement::SetAtomicNumber(CString);
		void    pteElement::SetAtomicWeight(CString);
		void    pteElement::SetGroupNumber(CString);
		void    pteElement::SetGroupName(CString);
		void    pteElement::SetPeriod(CString);
		void    pteElement::SetBlock(CString);
		void    pteElement::SetCASRegistryID(CString);
		void    pteElement::SetElementName(CString);
		void    pteElement::SetElementSymbol(CString);
		void    pteElement::SetDiscoveryDate(CString);
		void    pteElement::SetDiscovererName(CString);
		void    pteElement::SetRow(CString);
		void    pteElement::SetColumn(CString);

		CString pteElement::GetAtomicNumber();
		CString pteElement::GetAtomicWeight();
		CString pteElement::GetGroupNumber();
		CString pteElement::GetGroupName();
		CString pteElement::GetPeriod();
		CString pteElement::GetBlock();
		CString pteElement::GetCASRegistryID();
		CString pteElement::GetElementName();
		CString pteElement::GetElementSymbol();
		CString pteElement::GetDiscoveryDate();
		CString pteElement::GetDiscovererName();
		int     pteElement::GetRow();
		int     pteElement::GetColumn();
		void    pteElement::BuildRect(int);
		BOOL    pteElement::CheckHit(CPoint);
		CRect*  pteElement::GetRect();
		
	protected:
		CString  AtomicNumber;
		CString  AtomicWeight;
		CString  GroupNumber;
		CString  GroupName;
		CString  Period;
		CString  Block;
		CString  CASRegistryID;
		CString  ElementName;
		CString  ElementSymbol;
		CString  DiscoveryDate;
		CString  DiscovererName;
		int      Row;
		int      Column;
		CRect    ElementArea;
		COLORREF CellColor;
};

#endif 